require_gem 'fxruby'
require 'ApplicationProperties'

include Fox

module WorkTimer

class AboutDialog < FXDialogBox
  
  def initialize(owner, title)
    # Invoke base class initialize function first
    super(owner, title, DECOR_TITLE|DECOR_BORDER|DECOR_RESIZE, 0, 0)
      
   windowContent = 
      FXVerticalFrame.new(
         self, 
         LAYOUT_FILL_X|LAYOUT_FILL_Y,
         0, 0, 0, 0, 0, 0, 0, 0)

    # About information
    # Author: Michael Kelly
    # Version: Version 2.0
    # Project Home Page: http://rubyforge.org/projects/worktimer
    
    dataFrame = FXMatrix.new(windowContent,2,MATRIX_BY_COLUMNS)

    FXLabel.new(dataFrame, "Author:", nil, JUSTIFY_RIGHT)
    FXLabel.new(dataFrame, "Michael Kelly", nil, JUSTIFY_LEFT)

    FXLabel.new(dataFrame, "Version:", nil, JUSTIFY_RIGHT)
    FXLabel.new(dataFrame, "2.0", nil, JUSTIFY_LEFT)

    FXLabel.new(dataFrame, "Home Page:", nil, JUSTIFY_RIGHT)
    FXLabel.new(dataFrame, "http://rubyforge.org/projects/worktimer", nil, JUSTIFY_LEFT)
    
    buttons = FXHorizontalFrame.new(windowContent,
      LAYOUT_SIDE_BOTTOM|FRAME_NONE|LAYOUT_FILL_X|PACK_UNIFORM_WIDTH)
  
    # OK
    accept = FXButton.new(buttons, "&OK", nil, self, ID_ACCEPT,
      FRAME_RAISED|FRAME_THICK|LAYOUT_RIGHT|LAYOUT_CENTER_Y)
    
    accept.setDefault
  end
end

end